﻿using Kivii.Text;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using static System.Collections.Generic.Dictionary<string, object>;

namespace Kivii.Seeyon
{
    internal static class Extension
    {

        public static T ConvertTo<T>(this Dictionary<string, object> dic)
        {
            Dictionary<string, object> dictionary = new Dictionary<string, object>();
            using (Enumerator enumerator = dic.GetEnumerator())
            {
                while (enumerator.MoveNext())
                {
                    KeyValuePair<string, object> current = enumerator.Current;
                    dictionary[current.Key] = current.Value;
                }
            }
            return (T)dictionary.FromObjectDictionary(typeof(T));
        }
    }
}
