﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Kivii.Seeyon
{
    public interface IEntityIsSeeyonApply
    {
        /// <summary>
        /// OA申请提交
        /// </summary>
        /// <param name="Kvid"></param>
        /// <returns></returns>
        object OnSubmitApplyForm<T>(Guid Kvid);

        object OnSubmitApplyForm<T>(T form);

        /// <summary>
        /// OA申请结果调用
        /// </summary>
        /// <param name="Kvid">对应业务Kvid</param>
        /// <param name="Result">OA申请结果</param>
        /// <param name="Message">消息</param>
        /// <returns></returns>
        object OnGetApplyResult(Guid Kvid, object Result, string Message);

        /// <summary>
        /// OA申请结果调用
        /// </summary>
        /// <param name="Kvids">对应业务Kvids,如果是Kvids数组的话，说明此OA申请审批是多个业务合并发起的一条申请</param>
        /// <param name="Result">OA申请结果</param>
        /// <param name="Message">消息</param>
        /// <returns></returns>
        object OnGetApplyResult(List<Guid> Kvids, object Result, string Message);
    }
}
